Subject: RE: [Patch v1 3/3] strbuf.h: remove declaration of deprecated strbuf_write_fd method.

From: "Randall S. Becker" <[email-masked]>
Date: Fri, 19 Jun 2020 15:34:52 -0400

On June 19, 2020 3:32 PM, Junio C Hamano wrote:
> [email-masked] writes:
> 
> > From: "Randall S. Becker" <[email-masked]>
> >
> > Signed-off-by: Randall S. Becker <[email-masked]>
> > ---
> >  strbuf.h | 1 -
> >  1 file changed, 1 deletion(-)
> 
> I think this should be part of 2/3 (otherwise we'd have a decl that nobody
> references that declares a function that nobody implements).

If I understand, combined the strbuf.c and strbuf.h modification into a
single commit, correct? I normally would do that but missed this part of the
contribution standard. If so, I will create v2 accordingly.

> 
> > diff --git a/strbuf.h b/strbuf.h
> > index 7062eb6410..223ee2094a 100644
> > --- a/strbuf.h
> > +++ b/strbuf.h
> > @@ -473,7 +473,6 @@ int strbuf_readlink(struct strbuf *sb, const char
> *path, size_t hint);
> >   * NUL bytes.
> >   */
> >  ssize_t strbuf_write(struct strbuf *sb, FILE *stream); -ssize_t
> > strbuf_write_fd(struct strbuf *sb, int fd);
> >
> >  /**
> >   * Read a line from a FILE *, overwriting the existing contents of